Axis2/C: message information headers

- Main Page
- Modules
- Classes
- Files
- Directories
- Related Pages
- Examples

- Search for |

# message information headers
[WS-Addressing]

## Files
file | axis2_msg_info_headers.h
## Typedefs
typedef struct axis2_msg_info_headers | axis2_msg_info_headers_t
## Functions
AXIS2_EXTERN axis2_msg_info_headers_t * | axis2_msg_info_headers_create (const axutil_env_t *env, axis2_endpoint_ref_t *to, const axis2_char_t *action)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_msg_info_headers_get_to (const axis2_msg_info_headers_t *msg_info_headers, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_info_headers_set_to (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env, axis2_endpoint_ref_t *to)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_msg_info_headers_get_from (const axis2_msg_info_headers_t *msg_info_headers, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_info_headers_set_from (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env, axis2_endpoint_ref_t *from)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_msg_info_headers_get_reply_to (const axis2_msg_info_headers_t *msg_info_headers, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_info_headers_set_reply_to (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env, axis2_endpoint_ref_t *reply_to)
AXIS2_EXTERN axis2_status_t | axis2_msg_info_headers_set_reply_to_none (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env, const axis2_bool_t none)
AXIS2_EXTERN axis2_bool_t | axis2_msg_info_headers_get_reply_to_none (const axis2_msg_info_headers_t *msg_info_headers, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_info_headers_set_reply_to_anonymous (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env, const axis2_bool_t anonymous)
AXIS2_EXTERN axis2_bool_t | axis2_msg_info_headers_get_reply_to_anonymous (const axis2_msg_info_headers_t *msg_info_headers, const axutil_env_t *env)
AXIS2_EXTERN axis2_endpoint_ref_t * | axis2_msg_info_headers_get_fault_to (const axis2_msg_info_headers_t *msg_info_headers, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_info_headers_set_fault_to (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env, axis2_endpoint_ref_t *fault_to)
AXIS2_EXTERN axis2_status_t | axis2_msg_info_headers_set_fault_to_none (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env, const axis2_bool_t none)
AXIS2_EXTERN axis2_bool_t | axis2_msg_info_headers_get_fault_to_none (const axis2_msg_info_headers_t *msg_info_headers, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_info_headers_set_fault_to_anonymous (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env, const axis2_bool_t anonymous)
AXIS2_EXTERN axis2_bool_t | axis2_msg_info_headers_get_fault_to_anonymous (const axis2_msg_info_headers_t *msg_info_headers, const axutil_env_t *env)
AXIS2_EXTERN const axis2_char_t * | axis2_msg_info_headers_get_action (const axis2_msg_info_headers_t *msg_info_headers, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_info_headers_set_action (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env, const axis2_char_t *action)
AXIS2_EXTERN const axis2_char_t * | axis2_msg_info_headers_get_message_id (const axis2_msg_info_headers_t *msg_info_headers, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_info_headers_set_message_id (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env, const axis2_char_t *message_id)
AXIS2_EXTERN axis2_status_t | axis2_msg_info_headers_set_in_message_id (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env, const axis2_char_t *message_id)
AXIS2_EXTERN axis2_relates_to_t * | axis2_msg_info_headers_get_relates_to (const axis2_msg_info_headers_t *msg_info_headers, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_info_headers_set_relates_to (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env, axis2_relates_to_t *relates_to)
AXIS2_EXTERN axutil_array_list_t * | axis2_msg_info_headers_get_all_ref_params (const axis2_msg_info_headers_t *msg_info_headers, const axutil_env_t *env)
AXIS2_EXTERN axis2_status_t | axis2_msg_info_headers_add_ref_param (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env, axiom_node_t *ref_param)
AXIS2_EXTERN void | axis2_msg_info_headers_free (struct axis2_msg_info_headers *msg_info_headers, const axutil_env_t *env)

## Detailed Description

message information headers encapsulates properties that enable the identification and location of the endpoints involved in an interaction. The basic interaction pattern from which all others are composed is "one way". In this pattern a source sends a message to a destination without any further definition of the interaction. "Request Reply" is a common interaction pattern that consists of an initial message sent by a source endpoint (the request) and a subsequent message sent from the destination of the request back to the source (the reply). A reply can be either an application message, a fault, or any other message. message information headers capture addressing information related to these interaction patterns such as from, to, reply to and fault to addresses.

## Typedef Documentation

typedef struct axis2_msg_info_headers axis2_msg_info_headers_t

Type name for struct axis2_msg_info_headers

## Function Documentation

AXIS2_EXTERN axis2_status_t axis2_msg_info_headers_add_ref_param | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env,
|  | axiom_node_t * | ref_param |
| ) |  |  |

Adds a reference parameter in the form of an AXIOM node.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct
  | ref_param | pointer to AXIOM node representing reference parameter, message information header does not assume ownership of node

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_msg_info_headers_t* axis2_msg_info_headers_create | ( | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | to,
|  | const axis2_char_t * | action |
| ) |  |  |

Creates message information headers struct.

Parameters:

  | env | pointer to environment struct
  | to | pointer to endpoint reference representing to endpoint
  | action | WS-Addressing action string

Returns:
  pointer to newly created message information headers struct

AXIS2_EXTERN void axis2_msg_info_headers_free | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env |
| ) |  |  |

Frees message information header struct.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct

Returns:
  void

AXIS2_EXTERN const axis2_char_t* axis2_msg_info_headers_get_action | ( | const axis2_msg_info_headers_t * | msg_info_headers,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets WS-Addressing action. action is an absolute IRI (Internationalized Resource Identifier) that uniquely identifies the semantics implied by this message.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct

Returns:
  WS-Addressing action string

AXIS2_EXTERN axutil_array_list_t* axis2_msg_info_headers_get_all_ref_params | ( | const axis2_msg_info_headers_t * | msg_info_headers,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets all reference parameters associated with message information headers.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct

Returns:
  pointer to array list containing all reference parameters

AXIS2_EXTERN axis2_endpoint_ref_t* axis2_msg_info_headers_get_fault_to | ( | const axis2_msg_info_headers_t * | msg_info_headers,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets fault to endpoint. fault to endpoint identifies the intended receiver for faults related to a message.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct

Returns:
  pointer to endpoint reference representing fault to address, returns a reference, not a cloned copy

AXIS2_EXTERN axis2_bool_t axis2_msg_info_headers_get_fault_to_anonymous | ( | const axis2_msg_info_headers_t * | msg_info_headers,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the bool value indicating whether the fault to endpoint should be anonymous. fault to endpoint identifies the intended receiver for faults related to a message. The URI "http://www.w3.org/2005/08/addressing/anonymous" in the fault to address indicates that fault should be sent to from address.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if http://www.w3.org/2005/08/addressing/anonymous is to be used as fault to URI, else AXIS2_FALSE

AXIS2_EXTERN axis2_bool_t axis2_msg_info_headers_get_fault_to_none | ( | const axis2_msg_info_headers_t * | msg_info_headers,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the bool value indicating whether the fault to endpoint should be none. fault to endpoint identifies the intended receiver for faults related to a message. The URI "http://www.w3.org/2005/08/addressing/none" in the fault to address indicates that no fault should be sent back.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if http://www.w3.org/2005/08/addressing/none is to be used as fault to URI, else AXIS2_FALSE

AXIS2_EXTERN axis2_endpoint_ref_t* axis2_msg_info_headers_get_from | ( | const axis2_msg_info_headers_t * | msg_info_headers,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets from endpoint. from endpoint represents the address of the endpoint where the message originated from.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct

Returns:
  pointer to endpoint reference representing from address, returns a reference, not a cloned copy

AXIS2_EXTERN const axis2_char_t* axis2_msg_info_headers_get_message_id | ( | const axis2_msg_info_headers_t * | msg_info_headers,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets message ID. message ID is an absolute IRI that uniquely identifies the message.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct

Returns:
  message ID string.

AXIS2_EXTERN axis2_relates_to_t* axis2_msg_info_headers_get_relates_to | ( | const axis2_msg_info_headers_t * | msg_info_headers,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets relates to information.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct

Returns:
  pointer to relates to struct, returns a reference, not a cloned copy

See also:
  relates to

AXIS2_EXTERN axis2_endpoint_ref_t* axis2_msg_info_headers_get_reply_to | ( | const axis2_msg_info_headers_t * | msg_info_headers,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets reply to endpoint. reply to endpoint identifies the intended receiver to which a message is replied.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct

Returns:
  pointer to endpoint reference representing reply to address, returns a reference, not a cloned copy

AXIS2_EXTERN axis2_bool_t axis2_msg_info_headers_get_reply_to_anonymous | ( | const axis2_msg_info_headers_t * | msg_info_headers,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the bool value indicating whether the reply to endpoint should be anonymous. reply to endpoint identifies the intended receiver for replies related to a message. The URI "http://www.w3.org/2005/08/addressing/anonymous" in the reply to address indicates that reply should be sent to from address.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if http://www.w3.org/2005/08/addressing/anonymous is to be used as reply to URI, else AXIS2_FALSE

AXIS2_EXTERN axis2_bool_t axis2_msg_info_headers_get_reply_to_none | ( | const axis2_msg_info_headers_t * | msg_info_headers,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets the bool value indicating whether the reply to endpoint should be none. reply to endpoint identifies the intended receiver for replies related to a message. The URI "http://www.w3.org/2005/08/addressing/none" in the reply to address indicates that no reply should be sent.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct

Returns:
  AXIS2_TRUE if http://www.w3.org/2005/08/addressing/none is to be used as reply to URI, else AXIS2_FALSE

AXIS2_EXTERN axis2_endpoint_ref_t* axis2_msg_info_headers_get_to | ( | const axis2_msg_info_headers_t * | msg_info_headers,
|  | const axutil_env_t * | env |
| ) |  |  |

Gets to endpoint. to endpoint represents the address of the intended receiver of this message.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct

Returns:
  pointer to endpoint reference representing to address, returns a reference, not a cloned copy

AXIS2_EXTERN axis2_status_t axis2_msg_info_headers_set_action | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | action |
| ) |  |  |

Sets WS-Addressing action. action is an absolute IRI (Internationalized Resource Identifier) that uniquely identifies the semantics implied by this message.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct
  | action | WS-Addressing action string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_info_headers_set_fault_to | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | fault_to |
| ) |  |  |

Sets fault to endpoint. fault to endpoint identifies the intended receiver for faults related to a message.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct
  | fault_to | pointer to endpoint reference representing fault to address, message information headers assumes ownership of the endpoint

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_info_headers_set_fault_to_anonymous | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | anonymous |
| ) |  |  |

Sets the bool value indicating whether the fault to endpoint should be anonymous. fault to endpoint identifies the intended receiver for faults related to a message. The URI "http://www.w3.org/2005/08/addressing/anonymous" in the fault to address indicates that fault should be sent to from address.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct
  | anonymous | AXIS2_TRUE if http://www.w3.org/2005/08/addressing/anonymous is to be used as fault to URI, else AXIS2_FALSE

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_info_headers_set_fault_to_none | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | none |
| ) |  |  |

Sets the bool value indicating whether the fault to endpoint should be none. fault to endpoint identifies the intended receiver for faults related to a message. The URI "http://www.w3.org/2005/08/addressing/none" in the fault to address indicates that no fault should be sent back.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct
  | none | AXIS2_TRUE if http://www.w3.org/2005/08/addressing/none is to be used as fault to URI, else AXIS2_FALSE

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_info_headers_set_from | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | from |
| ) |  |  |

Sets from endpoint. from endpoint represents the address of the endpoint where the message originated from.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct
  | from | pointer to endpoint reference representing from address, message information headers assumes ownership of the endpoint

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_info_headers_set_in_message_id | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | message_id |
| ) |  |  |

Sets message ID. message ID is an absolute URI that uniquely identifies the message. Message ID Given will be used.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct
  | message_id | message ID string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_info_headers_set_message_id | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env,
|  | const axis2_char_t * | message_id |
| ) |  |  |

Sets message ID. message ID is an absolute URI that uniquely identifies the message. Message ID will be prefixed with "urn:uuid:"

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct
  | message_id | message ID string

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_info_headers_set_relates_to | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env,
|  | axis2_relates_to_t * | relates_to |
| ) |  |  |

Sets relates to information.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct
  | relates_to | pointer to relates to struct, message information headers assumes ownership of struct

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_info_headers_set_reply_to | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | reply_to |
| ) |  |  |

Sets reply to endpoint. reply to endpoint identifies the intended receiver to which a message is replied.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct
  | reply_to | pointer to endpoint reference representing reply to address, message information headers assumes ownership of the endpoint

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_info_headers_set_reply_to_anonymous | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | anonymous |
| ) |  |  |

Sets the bool value indicating whether the reply to endpoint should be anonymous. reply to endpoint identifies the intended receiver for replies related to a message. The URI "http://www.w3.org/2005/08/addressing/anonymous" in the reply to address indicates that reply should be sent to from address.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct
  | anonymous | AXIS2_TRUE if http://www.w3.org/2005/08/addressing/anonymous is to be used as reply to URI, else AXIS2_FALSE

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_info_headers_set_reply_to_none | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env,
|  | const axis2_bool_t | none |
| ) |  |  |

Sets the bool value indicating whether the reply to endpoint should be none. reply to endpoint identifies the intended receiver for replies to a message. The URI "http://www.w3.org/2005/08/addressing/none" in the reply to address indicates that no reply should be sent.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct
  | none | AXIS2_TRUE if http://www.w3.org/2005/08/addressing/none is to be used as reply to URI, else AXIS2_FALSE

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE

AXIS2_EXTERN axis2_status_t axis2_msg_info_headers_set_to | ( | struct axis2_msg_info_headers * | msg_info_headers,
|  | const axutil_env_t * | env,
|  | axis2_endpoint_ref_t * | to |
| ) |  |  |

Sets to endpoint. to endpoint represents the address of the intended receiver of this message.

Parameters:

  | msg_info_headers | pointer to message information headers struct
  | env | pointer to environment struct
  | to | pointer to endpoint reference representing to address, message information headers assumes ownership of the endpoint

Returns:
  AXIS2_SUCCESS on success, else AXIS2_FAILURE